## org.eclipse.datatools.sqltools.debugger.debug
Class BreakpointLocationHandler

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.debug.BreakpointLocationHandler

    public class BreakpointLocationHandler

extends java.lang.Object

The strategy for breakpoint location handling is as this:\

We do breakpoint location validation at two points:

- when the breakpoint is first added into the system.
- when the proc is saved, we need to readjust the breakpoints to valid location.

Author:
  Yang Liu

Constructor Summary
`BreakpointLocationHandler()`

Method Summary
`static void` `handleEditorSave(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, org.eclipse.ui.IEditorPart editor)`
`static void` `handleNewBreakpoint(SPLineBreakpoint breakpoint, org.eclipse.datatools.sqltools.core.ProcIdentifier proc, int lineNumber, org.eclipse.ui.IEditorPart editor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakpointLocationHandler

    public BreakpointLocationHandler()

Method Detail

### handleNewBreakpoint

    public static void handleNewBreakpoint(SPLineBreakpoint breakpoint,
                                           org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                           int lineNumber,
                                           org.eclipse.ui.IEditorPart editor)

### handleEditorSave

    public static void handleEditorSave(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                        org.eclipse.ui.IEditorPart editor)